#ifndef EXEC_RESIDENT_H
#define EXEC_RESIDENT_H

/*
    (C) 1997 AROS - The Amiga Replacement OS
    $Id: resident.h,v 1.1 1997/02/28 21:56:06 srittau Exp $

    Desc: Resident modules
    Lang: english
*/

#ifndef EXEC_TYPES_H
#   include <exec/types.h>
#endif

struct Resident
{
    UWORD             rt_MatchWord; /* equal to RTC_MATCHWORD (see below) */
    struct Resident * rt_MatchTag;  /* Pointer to this struct */
    APTR              rt_EndSkip;
    UBYTE             rt_Flags;     /* see below */
    UBYTE             rt_Version;
    UBYTE             rt_Type;
    BYTE              rt_Pri;
    char            * rt_Name;
    char            * rt_IdString;
    APTR              rt_Init;
};

#define RTC_MATCHWORD 0x4AFC

#define RTF_COLDSTART  (1<<0)
#define RTF_SINGLETASK (1<<1)
#define RTF_AFTERDOS   (1<<2)
#define RTF_AUTOINIT   (1<<7)

#define RTW_NEVER     0
#define RTW_COLDSTART 1

#endif /* EXEC_RESIDENT_H */
